function K=BierensKernel(x,theta,sigma);
%implements the Higher order kernel proposed by Bierens (1987)
k=max(2,size(x,1));

K=0;
for j=1:k
    K=K+theta(j)*abs(sigma(j)*(2*pi)^.5)^(-k)*exp(-.5*x'*x/(sigma(j))^2);
end


return