function result=Start_CondIndTest(Model)

dx=Model.MeetingMonth;
if isfield(Model,'Exclude')
   Exclude=Model.Exclude;
else
    Exclude=[];
end
list=Model.list;
%level=Model.level;
%PScoreModel=Model.PScoreModel;
%Test=Model.Test;
%Start=datenum(Model.Start);
%End=datenum(Model.End);
%numlev=size(level,1);
y=Model.y;
D=Model.D;
X=Model.X;
phat=Model.phat;
cut=Model.cut;
xb=Model.xb;
CutOff=Model.CutOff;
PScoreModel=Model.PScoreModel;
Test=Model.Test;
dn=Model.dn;
NonRedList=Model.NonRedList;
BSRep=Model.BSRep;


[b,c]=FindHighOrderKern(1);            

if isnan(Model.BST)
        result=zeros(78,2);

        %3 month change
        for i=1:12
            result(i+36,:)=CondIndTestMN(sum(y(:,1:i*3)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
        end


        %6 month change
        for i=1:6
            result(i+48,:)=CondIndTestMN(sum(y(:,1:i*6)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
        end

        %1 year change
        result(55,:)=CondIndTestMN(sum(y(:,1:12)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);

        %2 year change
        result(56,:)=CondIndTestMN(sum(y(:,1:24)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);


        %3 year change
        result(57,:)=CondIndTestMN(sum(y(:,1:36)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
else
        result=zeros(78,6);

        %3 month change
        for i=1:12
            tic;           
            result(i+36,:)=CondIndTestMNB(sum(y(:,1:i*3)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude,BSRep);
            t=toc;
            disp(['Model ' num2str(i) '   Time:' num2str(t)]);                       
        end


        %6 month change
        for i=1:6
            tic;
            result(i+48,:)=CondIndTestMNB(sum(y(:,1:i*6)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude,BSRep);
            t=toc;
            disp(['Model ' num2str(i+12) '   Time:' num2str(t)]);                       
        end

        %1 year change
        result(55,:)=CondIndTestMNB(sum(y(:,1:12)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude,BSRep);

        %2 year change
        result(56,:)=CondIndTestMNB(sum(y(:,1:24)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude,BSRep);


        %3 year change
        result(57,:)=CondIndTestMNB(sum(y(:,1:36)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude,BSRep);
end
return






