local varlist="delta_FF_old graym gray0 gray1 gray2 igrym igry0 igry1 igry2 gradm grad0 grad1 grad2 igrdm igrd0 igrd1 igrd2 innovation"

use model_data_239, clear
//use model_data_238, clear

# delimit ;

preserve;

*OPROBIT;

oprobit dtarg `varlist' if sample==1;

# delimit cr

la var dtarg pcipnsa_1q
gen cumul=pcipnsa_1q
oprobit dtarg cumul `varlist' if sample==1

estout using simsromer_pvals_oprobit.txt, keep(cumul) cells(t p(par("[" "]"))) l ti("T stats and p-values on cumulative change, Romer model, oprobit. P-values in brackets.") replace

foreach x of varlist pcipnsa_2q-pcipnsa_3y {
la var dtarg `x'
replace cumul=`x'
oprobit dtarg cumul `varlist' if sample==1

estout using simsromer_pvals_oprobit.txt, keep(cumul) cells(t p(par("[" "]"))) l append
}
