local model="taylor"
local varlist="delta_FF_old delta_FF_older rgdpgrth_1-rgdpgrth_9 infl_nsa_1-infl_nsa_9"

use model_data_239, clear

sort year month

merge year month using romer_data

tab _m
keep if _m==3&sample==1
count

//keep month year dtarg delta_FF_old delta_FF_older rgdpgrth_1-rgdpgrth_9 infl_nsa_1-infl_nsa_9 infl_sa_1-infl_sa_9 sample

# delimit ;

preserve;

*OPROBIT;

qui oprobit dtarg `varlist' if sample==1;

# delimit cr

la var dtarg pcipnsa_1q
gen cumul=pcipnsa_1q
oprobit dtarg cumul `varlist' if sample==1

estout using simstaylor_pvals_oprobit.txt, keep(cumul) cells(t p(par("[" "]"))) l ti("T stats and p-values on cumulative change, 10 var model, oprobit. P-values in brackets.") replace

foreach x of varlist pcipnsa_2q-pcipnsa_3y {
la var dtarg `x'
replace cumul=`x'
oprobit dtarg cumul `varlist' if sample==1

estout using simstaylor_pvals_oprobit.txt, keep(cumul) cells(t p(par("[" "]"))) l append
}
